
# 天择外汇模拟交易系统

## foreign_exchange_trading

**构建**：\
环境要求：JDK1.8及更高版本、Maven3.6+、mysql。\
若项目依赖构建失败，请确认本地环境版本。\
JDK查看版本方式：win+R进入CMD界面输入java -version即可查看\
Maven查看版本方式：win+R进入CMD界面输入输入mvn -v即可查看\
maven构建：进入idea Terminal界面运行命令 mvn clean install.等待项目build完成，注：第一次构建系统可能耗时较长\
完成以上既可进行开发


**开发**：
命名规范：类名采用大驼峰命名方式，方法名、变量名采用小驼峰方式.二者差异自行访问baidu.com查阅。\
**注：代码注释需满足javadoc规范\** \
系统目录及代码归属约束：\
annotation：系统切面文件。全局日志切面管理及接口权限控制文件.\
config：整个系统配置文件，如全局token校验，swagger配置，jpa配置及数据库方言配置.\
controller：接口定义，对外开放的接口文件请放置在该包，注：每个模块有一个对应文件，如对某模块新增接口请
放置到对应的controller文件内.\
entity：实体类文件放置地址，与数据库表字段对应，调整数据库字段或新增表请移至改包，注：对应的模块属性请放置于对应的类中.\
repository：整个系统与数据库交互的文件放置于该包下，如调整数据库语句请移至该包。注：建议复杂查询及多表联查才用JPA原生SQL查询
简单查询请用Specification条件构造器.用法请参考service包下的子文件\
service：子模块业务逻辑代码请放置于该包下。\
util：系统用到的第三方工具文件请放置于该包，如Excel导入导出、几何数据操作，第三方API接入及结果解析、file文件处理，全局异常定义等.\
**为防止系统结构混乱，开发准备阶段请详细阅读开发规则及java文件归属规则。**



**运行**：
设置ForeignExchangeTradingApplication为项目启动入口。Shift+F10启动. 注：必须完成上述开发节点下的项目构建工作才可启动，否则系统会报错

**接口预览及调用**：
默认地址为localhost:8800（端口号可自行更改）

**测试**：
后续团队将尽快整理和提供系统每一个子模块单元测试.

**发布**：
CMD进入系统目录，运行 mvn clean package命令，移至target目录复制foreignExchangeTrading.jar文件\
windows发布：cmd界面运行 java -jar foreignExchangeTrading.jar\
linux发布：请自行查阅baidu.com


