package com.sztzjy.forex.trading_trading.config.security;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.security.core.GrantedAuthority;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * 用户登录结果集
 *
 * @author 陈沅
 */
@ApiModel("用户登录结果集")
@Setter
@Getter
public class LoginResult {
    @ApiModelProperty("用户ID")
    private String userId;
    @ApiModelProperty("姓名")
    private String name;
    @ApiModelProperty("访问令牌")
    private String accessToken;
    @ApiModelProperty("角色Id")
    private int roleId;
    @ApiModelProperty("用户所在班级id")
    private int classId;
    @ApiModelProperty("用户所在学校id")
    private int schoolId;

    /**
     * 创建登录成功实体
     *
     * @param jwtUser     授权用户实体
     * @param accessToken 令牌
     * @return LoginResult
     */
    public static LoginResult create(JwtUser jwtUser, String accessToken) {
        LoginResult result = new LoginResult();
        result.setUserId(jwtUser.getUserId());
        result.setRoleId(jwtUser.getRoleId());
        result.setName(jwtUser.getName());
        result.setAccessToken(accessToken);
        result.setClassId(jwtUser.getClassId());
        result.setSchoolId(jwtUser.getSchoolId());
        return result;
    }
}
