package com.sztzjy.forex.trading_trading.dto;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 分页输出VO
 */
@ApiModel("分页出参对象")
@Getter
public class PageVO<T> {
    private List<T> content;
    private Long totalElements;
    private Boolean last;
    private Integer totalPages;
    private Integer number;
    private Integer size;
    private Integer numberOfElements;
    private Boolean first;
    private Boolean empty;

    /**
     * 转换分页实体
     * @param pageData org.springframework.data.domain.Page
     * @param voList   实体几何
     */
    public void setPageInfo(Page<?> pageData, List<T> voList) {
        this.content = voList;
        this.totalPages = pageData.getTotalPages();
        this.size = pageData.getSize();
        this.number = pageData.getNumber();
        this.first = pageData.isFirst();
        this.last = pageData.isLast();
        this.empty = pageData.isEmpty();
        this.totalElements = pageData.getTotalElements();
        this.numberOfElements = pageData.getNumberOfElements();
    }
}
