package com.sztzjy.forex.trading_trading.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.sztzjy.forex.trading_trading.config.DateToLongSerialized;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import java.util.Date;

@ApiModel("基础实体类")
@Getter
@Setter
@MappedSuperclass
@JsonIgnoreProperties(value = {"hibernateLazyInitializer", "handler"})
public class Base {
    @ApiModelProperty("主键id")
    @Id
    @GenericGenerator(name = "system_uuid", strategy = "uuid")
    @GeneratedValue(generator = "system_uuid")
    private String id;
    @ApiModelProperty("创建时间")
    @JsonSerialize(using = DateToLongSerialized.class)
    private Date createTime = null;
    @ApiModelProperty("更新时间")
    @JsonSerialize(using = DateToLongSerialized.class)
    private Date updateTime = null;
}