package com.sztzjy.forex.trading_trading.util;

import cn.hutool.http.HttpStatus;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.nimbusds.jose.shaded.gson.JsonObject;
import com.sztzjy.forex.trading_trading.config.security.JwtUser;

import java.net.URLEncoder;


public class TzApi {

    private final static String API_URL = "http://Cloud.sztzjy.com";

    private final static String LOGIN_URL = API_URL + "/Account/FireignExchangeTradingLogin";


    public static JwtUser foreignExchangeTradingLogin(String userName, String password) {
        try {
            String requestBody = "username=" + URLEncoder.encode(userName, "UTF8") +
                    "&password=" + URLEncoder.encode(password, "UTF8");
            JSONObject object = HttpUtils.sendPost(
                    LOGIN_URL,
                    requestBody,
                    HttpUtils.CONTENT_TYPE_APPLICATION_X_WWW_FORM_URLENCODED,
                    null);

            if (object == null) {
                throw new IllegalArgumentException("登录失败");
            }

            JSONObject jsonObject = object.getJSONObject("respString");
            JSONObject resultObject = jsonObject.getJSONObject("result");
            int code = resultObject.getInt("code");
            if(code!= HttpStatus.HTTP_OK){
                throw new IllegalArgumentException("登录失败");
            }
            JSONObject dataObject = resultObject.getJSONObject("data");

            JwtUser user = new JwtUser();
            user.setUserId(dataObject.getStr("userId"));
            user.setName(dataObject.getStr("name"));
            user.setRoleId(dataObject.getInt("roleId"));
            user.setSchoolId(dataObject.getInt("schoolId"));
            user.setClassId(dataObject.getInt("classId"));
            user.setUsername(userName);
            user.setPassword(password);
            return user;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

}
